name: Javonna Russell
locality: Georgia
country: United States
role: <a href="/job-families/finance/payroll/">Payroll Analyst</a>
reports_to: vlaughlan
picture: javonnarussell.jpg
pronouns: she/her
pronunciation:
twitter:
linkedin:
gitlab: Javonna
departments:
  - Accounting
  - Payroll
specialty: 
expertise:
story: Javonna has multiple years of experience in payroll working for companies such as Coca-Cola and The Home Depot. Javonna is also certified in payroll currently hold her CPP certification. She enjoys spending time with her two teen kids, shopping, spending time with family and friends as well as traveling.
